package com.huiju.estateagents.service;

import com.huiju.estateagents.base.ResponseBean;
import com.huiju.estateagents.entity.TaOrder;

import java.util.Map;

public interface IWxPayService {

    /**
     * 微信支付-统一下单
     * @param taOrder
     * @param clientIp
     * @return
     */
    ResponseBean payUnifiedOrder(TaOrder taOrder, String clientIp) throws Exception;

    void wxNotify(Map<String, String> resultMap, String type);

    /**
     * 微信退款接口
     * @param taOrder
     * @param orgId
     * @param userId
     */
    void payRefund(TaOrder taOrder, Integer orgId, Integer userId) throws Exception;

    void houseRefund(Map<String, String> orderInfo);

    void payCancel(TaOrder taOrder);
}
